Designer 4.6.1 not showing User Application Driver Packages.

Hi,

My Designer version 4.6.1 Build ID: 20170623

I am trying to upgrade User Application driver version 4.5.2 to 4.6.1. I updated Check for package updates and Check for Designer Updates.
I have designer 4.6, today updated Packages as well as designer updates.
I followed the document: https://www.netiq.com/documentation/idm45/setup_guide/data/buh2nsr.html
driver-> packages -> sign -> un check the show only applicable package version. I am able Role and Resource service base 4.6.0 but not able to see User Application Base XX
Should I download newer version Designer just released? or User Application Base driver name has changed this release?

Thanks
KP

Tags:

  • On 7/13/2017 3:04 PM, c-pkalla wrote:
    >
    > Hi,
    >
    > My Designer version 4.6.1 Build ID: 20170623
    >
    > I am trying to upgrade User Application driver version 4.5.2 to 4.6.1.
    > I updated Check for package updates and Check for Designer Updates.
    > I have designer 4.6, today updated Packages as well as designer updates.
    >
    > I followed the document:
    > https://www.netiq.com/documentation/idm45/setup_guide/data/buh2nsr.html
    > driver-> packages -> sign -> un check the show only applicable package
    > version. I am able Role and Resource service base 4.6.0 but not able to
    > see User Application Base XX
    > Should I download newer version Designer just released? or User
    > Application Base driver name has changed this release?


    The box that surrounds the Driverset icon, did you do Properties, Server
    List, find your server, change its version to IDM 4.6? Wonder if you
    need the engine server to be at 4.6 instead of at 4.5 to get access to
    the latest packages.

    Howver, I just went and looked and I do not have a UA driver newer than
    4.5.1 build.

    Look in your Designer install in a sub dir like:
    U:\temp\d46-beta\Designer\packages\eclipse\plugins

    That is where your installed packages live.

  • IDV Server List IM Version 4.6, eDir Version 9.0.3 Driver set is XXX.CCCC

    Package location I found below jar file.
    NOVLUABASE_4.5.1.20150602213315

    How to upgrade 4.6.1, Is there any Jar's download at NetIQ site?
  • On 7/13/2017 3:34 PM, c-pkalla wrote:
    >
    > IDV Server List IM Version 4.6, eDir Version 9.0.3 Driver set is
    > XXX.CCCC
    >
    > Package location I found below jar file.
    > NOVLUABASE_4.5.1.20150602213315
    >
    > How to upgrade 4.6.1, Is there any Jar's download at NetIQ site?


    A fair question. Does UA 4.6 or 4.6.1 include a new UA Base driver
    package? I suspect the answer is actually no.

    But I have not looked in the docs to see.


  • UA 4.6, UA 4.6 not able to see in my package list on above location you mentioned.
    Is that UA 4.6 comes with ISO file? Do you have an idea, why designer not downloading from novel updates.
    UA 4.5.1 to UA 4.6 Not required to upgrade driver?
  • On 7/13/2017 3:45 PM, Geoffrey Carman wrote:
    > On 7/13/2017 3:34 PM, c-pkalla wrote:
    >>
    >> IDV Server List IM Version 4.6, eDir Version 9.0.3 Driver set is
    >> XXX.CCCC
    >>
    >> Package location I found below jar file.
    >> NOVLUABASE_4.5.1.20150602213315
    >>
    >> How to upgrade 4.6.1, Is there any Jar's download at NetIQ site?

    >
    > A fair question. Does UA 4.6 or 4.6.1 include a new UA Base driver
    > package? I suspect the answer is actually no.
    >
    > But I have not looked in the docs to see.


    This page:
    https://www.netiq.com/documentation/identity-manager-46/setup/data/b17x77kz.html

    Does not say to use a specific package version. Would have been nice if
    it did, so I would say 4.5.1 is latest.

    Next trick is you can use a web browser to read the site.xml file from
    the package update site,

    https://nu.novell.com/designer/updatesite4_6_0/

    Shows the XML:
    <?xml version="1.0" encoding="UTF-8"?><site>
    <description
    url="">cdn.novell.com/.../updatesite3_0_0">
    This site contains the shipping plugins for Designer for Identity
    Manager
    </description>
    <feature id="com.novell.idm.feature.patch" patch="true"
    url="features/com.novell.idm.feature.patch_4.0.0.201706231617.jar"
    version="4.0.0.201706231617">
    <category name="designer"/>
    </feature>
    <feature id="com.novell.prov.patch" patch="true"
    url="features/com.novell.prov.patch_4.0.0.201706231623.jar"
    version="4.0.0.201706231623">
    <category name="designer"/>
    </feature>
    <category-def label="designer" name="designer"/>
    </site>

    This is the 4.6 Designer update site. Wrong one.

    Packages are here:
    https://nu.novell.com/designer/packages/idm/updatesite2_0_0/

    And the site.xml is huger.

    Pulling out just the UA Base package I see, 2.20, 2.30, 4.5 and 4.51


    <feature id="NOVLUABASE.feature"
    url="features/NOVLUABASE.feature_2.2.0.20120516011608.jar"
    version="2.2.0.20120516011608"/>
    <feature id="NOVLUABASE.feature"
    url="features/NOVLUABASE.feature_2.3.0.20130322140821.jar"
    version="2.3.0.20130322140821"/>
    <feature id="NOVLUABASE.feature"
    url="features/NOVLUABASE.feature_4.5.0.20140919160443.jar"
    version="4.5.0.20140919160443"/>
    <feature id="NOVLUABASE.feature"
    url="features/NOVLUABASE.feature_4.5.1.20150602213315.jar"
    version="4.5.1.20150602213315"/>

    No 4.6 versions. So maybe they expect it, but it is not there.


  • I updated above URL: https://nu.novell.com/designer/updatesite4_6_0/

    I downloaded latest designer patch from netiq.
    file:///P:/updateSite1_0_0
    Still Not updated any packages. it saying up to date. By chance are you able to see newer version UA Driver 4.6 package?
  • On 7/13/2017 4:56 PM, c-pkalla wrote:
    >
    > I updated above URL: https://nu.novell.com/designer/updatesite4_6_0/
    >
    > I downloaded latest designer patch from netiq.
    > file:///P:/updateSite1_0_0
    > Still Not updated any packages. it saying up to date. By chance are you
    > able to see newer version UA Driver 4.6 package?


    You misunderstand my previous email.

    I went to the new Package site. I look for UABASE packages, and showed
    the values I found. 2.2, 2.3, 4.5, and 4.5.1, there is no instance of a
    4.6 UA BASE nor 4.61 so that is the answer to your question.